# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/asciidoc /usr/bin/xmlto gcc-c++
# END SourceDeps(oneline)
Name:           evemu
Version:        1.0.10
Release:        alt1_3
Summary:        Event Device Query and Emulation Program

Group:          Development/Tools
License:        GPLv3+

URL:            http://launchpad.net/evemu
Source0:        http://launchpad.net/%{name}/trunk/%{name}-%{version}/+download/%{name}-%{version}.tar.gz

# Fixed upstream in revno 60
Patch01:        0001-tools-add-missing-evemu-event-man-page.patch
Patch02:        test-for-device-grab.patch
Patch03:        0001-Don-t-segfault-when-not-using-stdout.patch

BuildRequires:  automake libtool
BuildRequires:  python-devel
BuildRequires:  xmlto asciidoc

# package was renamed in version 1.0.10
Provides:       utouch-evemu = %{version}-%{release}
Obsoletes:      utouch-evemu < 1.0.10
Source44: import.info

%description
%%{name} is a simple utility to capture the event stream from input devices
and replay that stream on a virtual input device.

%package devel
Group: Development/Tools
Summary:        Event Device Query and Emulation Program Development Package
Requires:       %{name} = %{version}-%{release}

Provides:       utouch-evemu-devel = %{version}-%{release}
Obsoletes:      utouch-evemu-devel < 1.0.10

%description devel
%%{name} development files.

%prep
%setup -q
%patch01 -p1
%patch02 -p0
%patch03 -p1

%build
autoreconf -v --install --force || exit 1
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# We intentionally don't ship *.la files
rm -f %{buildroot}%{_libdir}/*.la

%files
%doc COPYING
%{_bindir}/evemu-describe
%{_bindir}/evemu-device
%{_bindir}/evemu-play
%{_bindir}/evemu-event
%{_bindir}/evemu-record
%{_libdir}/libevemu.so.*
%{_mandir}/man1/evemu-*

%files devel
%doc COPYING
%{_includedir}/evemu.h
%{_libdir}/libevemu.so
%{_libdir}/pkgconfig/evemu.pc
%dir %{python_sitelibdir_noarch}/evemu/
%{python_sitelibdir_noarch}/evemu/*

%changelog
* Fri Feb 08 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.10-alt1_3
- update to new release by fcimport

* Mon Jan 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.10-alt1_2
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.10-alt1_1
- fc import

